Index: park_integration/src/sans/fit/AbstractFitEngine.py
===================================================================
--- park_integration/src/sans/fit/AbstractFitEngine.py	(revision d8661fb7c12007dabf7941f15cf589fb90855229)
+++ park_integration/src/sans/fit/AbstractFitEngine.py	(revision 7db52f1912cba2e4449a15df666a973a73b05588)
@@ -459,5 +459,5 @@
         #import thread
         self.model.set_params(self.paramlist, params)
-        
+        print "params", params
         self.true_res, theory = self.data.residuals(self.model.eval)
         self.theory = copy.deepcopy(theory)
@@ -548,5 +548,5 @@
         #Dictionnary of fitArrange element (fit problems)
         self.fit_arrange_dict = {}
-  
+        
     def set_model(self, model,  id,  pars=[], constraints=[], data=None):
         """
@@ -611,5 +611,8 @@
                 fitproblem.pars = pars
                 self.fit_arrange_dict[id] = fitproblem
-                
+                vals = []
+                for name in pars:
+                    vals.append(new_model.model.getParam(name))
+                self.fit_arrange_dict[id].vals = vals
         else:
             raise ValueError, "park_integration:missing parameters"
@@ -698,4 +701,5 @@
         self.data_list = []
         self.pars = []
+        self.vals = []
         #self.selected  is zero when this fit problem is not schedule to fit 
         #self.selected is 1 when schedule to fit 
Index: park_integration/src/sans/fit/Fitting.py
===================================================================
--- park_integration/src/sans/fit/Fitting.py	(revision 634ca14007e5d669c64e5eae63fe40bf8e30cb34)
+++ park_integration/src/sans/fit/Fitting.py	(revision 7db52f1912cba2e4449a15df666a973a73b05588)
@@ -50,8 +50,11 @@
             raise ValueError, "enter the keyword scipy or park"
 
-    def fit(self, q=None, handler=None, curr_thread=None, ftol=1.49012e-8):
+    def fit(self, q=None, handler=None, 
+                        curr_thread=None, 
+                        ftol=1.49012e-8,
+                        reset_flag=False):
         """Perform the fit """
         return self._engine.fit(q, handler, curr_thread=curr_thread,
-                                ftol=ftol)
+                                ftol=ftol, reset_flag=reset_flag)
      
     def set_model(self, model, id, pars=[], constraints=[], data=None):
Index: park_integration/src/sans/fit/ParkFitting.py
===================================================================
--- park_integration/src/sans/fit/ParkFitting.py	(revision 444c900e848a06c444697ee2701a4bc87aea5eec)
+++ park_integration/src/sans/fit/ParkFitting.py	(revision 7db52f1912cba2e4449a15df666a973a73b05588)
@@ -338,5 +338,5 @@
         self.param_list = []
         
-    def create_assembly(self, curr_thread):
+    def create_assembly(self, curr_thread, reset_flag=False):
         """
         Extract sansmodel and sansdata from 
@@ -358,4 +358,10 @@
         for item in fitproblems:
             parkmodel = item.get_model()
+            if reset_flag:
+                # reset the initial value; useful for batch
+                for name in item.pars:
+                    ind = item.pars.index(name)
+                    parkmodel.model.setParam(name, item.vals[ind])
+            
             for p in parkmodel.parameterset:
                 ## does not allow status change for constraint parameters
@@ -374,5 +380,6 @@
         
   
-    def fit(self, q=None, handler=None, curr_thread=None, ftol=1.49012e-8):
+    def fit(self, q=None, handler=None, curr_thread=None, 
+                                        ftol=1.49012e-8, reset_flag=False):
         """
         Performs fit with park.fit module.It can  perform fit with one model
@@ -395,5 +402,5 @@
         
         """
-        self.create_assembly(curr_thread=curr_thread)
+        self.create_assembly(curr_thread=curr_thread, reset_flag=reset_flag)
         localfit = SansFitSimplex()
         localfit.ftol = ftol
Index: park_integration/src/sans/fit/ScipyFitting.py
===================================================================
--- park_integration/src/sans/fit/ScipyFitting.py	(revision d8661fb7c12007dabf7941f15cf589fb90855229)
+++ park_integration/src/sans/fit/ScipyFitting.py	(revision 7db52f1912cba2e4449a15df666a973a73b05588)
@@ -56,5 +56,6 @@
     #    return profile(self._fit, *args, **kw)
 
-    def fit(self, q=None, handler=None, curr_thread=None, ftol=1.49012e-8):
+    def fit(self, q=None, handler=None, curr_thread=None, 
+            ftol=1.49012e-8, reset_flag=False):
         """
         """
@@ -70,7 +71,11 @@
             raise RuntimeError, "No Assembly scheduled for Scipy fitting."
             return
-    
+        model = fitproblem[0].get_model()
+        if reset_flag:
+            # reset the initial value; useful for batch
+            for name in fitproblem[0].pars:
+                ind = fitproblem[0].pars.index(name)
+                model.model.setParam(name, fitproblem[0].vals[ind])
         listdata = []
-        model = fitproblem[0].get_model()
         listdata = fitproblem[0].get_data()
         # Concatenate dList set (contains one or more data)before fitting
